VCOUNT(9)

NAME
vcount, count_dev - get total number of references to a device

SYNOPSIS
#include <sys/param.h>
#include <sys/time.h>
#include <sys/conf.h>
#include <sys/vnode.h>
int
vcount(struct vnode *vp);
int
count_dev(struct cdev *dev);

DESCRIPTION
vcount() is used to get the number of references to a particular device. It allows for the fact that multiple vnodes may reference the same device. count_dev() does the same thing as vcount(), but takes a struct cdev rather than a struct vnode pointer as an argument.

RETURN VALUES
vcount() and count_dev() both return the number of references to the device.

SEE ALSO
VFS(9), vnode(9)

AUTHORS
This manual page was written by Andrew Stevenson.